/*
 * Copyright (c) 2002-2011, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.stock.business;


/**
 *
 * ObjectDefinition
 *
 */
public class ObjectDefinition
{
    private String _strNamekey;
    private String _strCreationJsp;
    private String _strModificationJsp;
    private String _strDeletionJsp;

    /**
     * Constructor
     * @param strNameKey the name
     * @param strCreationJsp the jsp for creation
     * @param strModificationJsp the jsp for modification
     * @param strDeletionJsp the jsp for deletion
     */
    public ObjectDefinition( String strNameKey, String strCreationJsp, String strModificationJsp, String strDeletionJsp )
    {
        this._strNamekey = strNameKey;
        this._strCreationJsp = strCreationJsp;
        this._strModificationJsp = strModificationJsp;
        this._strDeletionJsp = strDeletionJsp;
    }

    /**
     * Return the name key
     * @return the name key
     */
    public String getNameKey(  )
    {
        return _strNamekey;
    }

    /**
     * Set the name key
     * @param strNameKey the name key
     */
    public void setNameKey( String strNameKey )
    {
        this._strNamekey = strNameKey;
    }

    /**
     * Get the jsp for creation
     * @return the jsp
     */
    public String getCreationJsp(  )
    {
        return _strCreationJsp;
    }

    /**
     * Set the jsp for creation
     * @param strCreationJsp the jsp for creation
     */
    public void setCreationJsp( String strCreationJsp )
    {
        this._strCreationJsp = strCreationJsp;
    }

    /**
     * Get the jsp for modification
     * @return the modification jsp
     */
    public String getModificationJsp(  )
    {
        return _strModificationJsp;
    }

    /**
     * Set the modification jsp
     * @param strModificationJsp the jsp
     */
    public void setModificationJspe( String strModificationJsp )
    {
        this._strModificationJsp = strModificationJsp;
    }

    /**
     * Get the deletion jsp
     * @return the jsp for deletion
     */
    public String getDeletionJsp(  )
    {
        return _strDeletionJsp;
    }

    /**
     * Set the deletion jsp
     * @param strDeletionJspName the jsp
     */
    public void setDeletionJsp( String strDeletionJspName )
    {
        this._strDeletionJsp = strDeletionJspName;
    }
}
